# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Lingo 2 Template

game: Lingo 2
requires:
  version: 0.6.3 # Version of Archipelago required for this yaml to work as expected.

Lingo 2:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  shuffle_doors:
    # If enabled, most doors will open from receiving an item rather than fulfilling the in-game requirements.
    'false': 0
    'true': 50

  shuffle_control_center_colors:
    # Some doors open after solving the COLOR panel in the Control Center. If this option is enabled, these doors will
    # instead open upon receiving an item.
    'false': 50
    'true': 0

  shuffle_gallery_paintings:
    # If enabled, gallery paintings will appear from receiving an item rather than by triggering them normally.
    'false': 50
    'true': 0

  shuffle_letters:
    # Controls how letter unlocks are handled. Note that H1, I1, N1, and T1 will always be present at their vanilla
    # locations in the starting room, even if letters are shuffled remotely.
    # 
    # - **Vanilla**: All letters will be present at their vanilla locations.
    # - **Unlocked**: Players will start with their keyboards fully unlocked.
    # - **Progressive**: Two items will be added to the pool for every letter (one for H, I, N, and T). Receiving the
    #   first item gives you the corresponding level 1 letter, and the second item gives you the corresponding level 2
    #   letter.
    # - **Vanilla Cyan**: Players will start with all level 1 (purple) letters unlocked. Level 2 (cyan) letters will be
    #   present at their vanilla locations.
    # - **Item Cyan**: Players will start with all level 1 (purple) letters unlocked. One item will be added to the pool
    #   for every level 2 (cyan) letter.
    vanilla: 50
    unlocked: 0
    progressive: 0
    vanilla_cyan: 0
    item_cyan: 0

  shuffle_symbols:
    # If enabled, 19 items will be added to the pool, representing the different symbols that can appear on a panel.
    # Players will be prevented from solving puzzles with symbols on them until all of the required symbols are unlocked.
    'false': 50
    'true': 0

  keyholder_sanity:
    # If enabled, 26 locations will be created for placing each key into its respective Green Ending keyholder.
    # 
    # NOTE: This does not apply to the two disappearing keyholders in The Congruent, as they are not part of Green Ending.
    'false': 50
    'true': 0

  cyan_door_behavior:
    # Cyan-colored doors usually only open upon unlocking double letters. Some panels also only appear upon unlocking
    # double letters. This option determines how these unlocks should behave.
    # 
    # - **Collect H2**: In the base game, H2 is the first double letter you are intended to collect, so cyan doors only
    #   open when you collect the H2 pickup in The Repetitive. Collecting the actual pickup is still required even with
    #   remote letter shuffle enabled.
    # - **Any Double Letter**: Cyan doors will open when you have unlocked any cyan letter on your keyboard. In letter
    #   shuffle, this means receiving a cyan letter, not picking up a cyan letter collectable.
    # - **Item**: Cyan doors will be grouped together in a single item.
    # 
    # Note that some cyan doors are impacted by door shuffle (e.g. the entrance to The Tower). When door shuffle is
    # enabled, these doors won't be affected by the value of this option.
    collect_h2: 50
    any_double_letter: 0
    item: 0

  daedalus_roof_access:
    # If enabled, the player will be logically expected to be able to go from the castle entrance to any part of Daedalus
    # that is open to the air. If disabled, the player will only be expected to be able to enter the castle, the moat,
    # Icarus, and the area at the bottom of the stairs. Invisible walls that become opaque as you approach them are added
    # to the level to prevent the player from accidentally breaking logic.
    'false': 50
    'true': 0

  victory_condition:
    # This option determines what your goal is.
    # 
    # - **Gray Ending** (The Colorful)
    # - **Purple Ending** (The Sun Temple). This ordinarily requires all level 1 (purple) letters.
    # - **Mint Ending** (typing EXIT into the keyholders in Control Center)
    # - **Black Ending** (The Graveyard)
    # - **Blue Ending** (The Words)
    # - **Cyan Ending** (The Parthenon). This ordinarily requires almost all level 2 (cyan) letters.
    # - **Red Ending** (The Tower)
    # - **Plum Ending** (The Wondrous / The Door)
    # - **Orange Ending** (the castle in Daedalus)
    # - **Gold Ending** (The Gold). This involves going through the color rooms in Daedalus.
    # - **Yellow Ending** (The Gallery). This requires unlocking all gallery paintings.
    # - **Green Ending** (The Ancient). This requires filling all keyholders with specific letters.
    # - **White Ending** (Control Center). This combines every other ending.
    gray_ending: 50
    purple_ending: 0
    mint_ending: 0
    black_ending: 0
    blue_ending: 0
    cyan_ending: 0
    red_ending: 0
    plum_ending: 0
    orange_ending: 0
    gold_ending: 0
    yellow_ending: 0
    green_ending: 0
    white_ending: 0

  trap_percentage:
    # Replaces junk items with traps, at the specified rate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0
    random-high: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
